//https://www.arduino.cc/reference/tr/language/variables/utilities/progmem/
//Put some strings into progmen to save some sram.

const char s0[] PROGMEM = {"CACHE MANIFEST\n\n"};
const char s1[] PROGMEM = {"index.html\n"};
const char s2[] PROGMEM = {"style.css\n"};
const char s3[] PROGMEM = {"loader.html\n"};
const char s4[] PROGMEM = {"jzip.js\n"};
const char s5[] PROGMEM = {"goldhen.bin\n"};
const char s6[] PROGMEM = {"\n"};
const char s7[] PROGMEM = {"NETWORK:\nconfig.html\npayloads.html\nadmin.html\n\n"};
const char s8[] PROGMEM = {"FALLBACK:\n\n"};

const char rebooting[] PROGMEM = "<!DOCTYPE html><html><head><meta http-equiv=\"refresh\" content=\"8; url=/info.html\"><style type=\"text/css\">body {background-color: #1451AE; color: #ffffff; font-size: 20px; font-weight: bold; margin: 0 0 0 0.0; padding: 0.4em 0.4em 0.4em 0.6em;}</style></head><center><br><br><br><br><br><br>Update Success, Rebooting.</center></html>";
const char rebooting_2[] PROGMEM = "<!DOCTYPE html><html><head><meta http-equiv=\"refresh\" content=\"4; url=/config.html\"><style type=\"text/css\">#loader {z-index: 1;width: 50px;height: 50px;margin: 0 0 0 0;border: 6px solid #f3f3f3;border-radius: 50%;border-top: 6px solid #3498db;width: 50px;height: 50px;-webkit-animation: spin 2s linear infinite;animation: spin 2s linear infinite; } @-webkit-keyframes spin {0%{-webkit-transform: rotate(0deg);}100%{-webkit-transform: rotate(360deg);}}@keyframes spin{0%{ transform: rotate(0deg);}100%{transform: rotate(360deg);}}body {background-color: #1451AE; color: #ffffff; font-size: 20px; font-weight: bold; margin: 0 0 0 0.0; padding: 0.4em 0.4em 0.4em 0.6em;} #msgfmt {font-size: 16px; font-weight: normal;}#status {font-size: 16px; font-weight: normal;}</style></head><center><br><br><br><br><br><p id=\"status\"><div id='loader'></div><br>Config saved<br>Rebooting</p></center></html>";
const char triggered[] PROGMEM = "***Coded by MrDude***\n\nYou triggered an emergency reset, all the default settings have been restored.";

//Set up tables to refer to the strings.
//const char *const cache_table[] PROGMEM = {s0, s1, s2, s3, s4, s5, s6, s7, s8};
const char *const bigstrings[] PROGMEM = {rebooting, rebooting_2, triggered};
//char buffer[sizeof(string_7)]; // make sure this is large enough for the largest string it must hold
